# File      : old_toolbar_menu[jf].rb
# Author    : Jim Foltz <jim.foltz@gmail.com>
# Copyright : 2014 Jim Foltz
# Version   : 1.0 - Mar 24, 2014

require 'sketchup'

module JF

  module OldToolbarMenu

    def self.create_menu

      @builtin = UI.toolbar_names.sort
      menu     = UI.menu('View').add_submenu('Old Toolbars')

      @builtin.each { |name|
        menu.add_item(name) { 
          if UI.toolbar_visible?(name)
            UI.set_toolbar_visible(name, false)
          else
            UI.set_toolbar_visible(name, true)
          end
        }
      }

    end

  end
end

JF::OldToolbarMenu.create_menu()
